> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Top tokenholders dataset

> Use this endpoint to retrieve the Top tokenholders dataset.

You can get the whole dataset by omitting all parameters.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/datasets/top_tokenholders
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/datasets/top_tokenholders:
    get:
      tags:
        - Datasets
      summary: Get the Top tokenholders dataset
      description: |
        Use this endpoint to retrieve the Top tokenholders dataset.

        You can get the whole dataset by omitting all parameters.
      parameters:
        - name: project_ids
          in: query
          description: >
            Allows you to select one or more of the projects available in the
            dataset. When including multiple projects, separate each one with a
            comma. Example: `uniswap,aave`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - uniswap
        - name: chain_ids
          in: query
          description: >
            Allows you to select one or more of the chains available in the
            dataset. When including multiple chains, separate each one with a
            comma. Example: `ethereum,arbitrum`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - ethereum
            - arbitrum
        - name: market_sector_ids
          in: query
          description: >
            Allows you to select one or more of the market sectors available in
            the dataset. When including multiple market sectors, separate each
            one with a comma. Example: `exchange,lending`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - exchange
        - name: order_by
          in: query
          description: |
            Allows you to select a field by which the response array is sorted.
          schema:
            type: string
            format: string
          example: timestamp
        - name: order_direction
          in: query
          description: >
            Allows you to define order direction for the field selected in
            `order_by`. If no order_direction is selected, the response defaults
            to `asc`.
          schema:
            type: string
            format: string
          example: desc
        - name: limit
          in: query
          description: >-
            Limit the number of results returned. Usage through API reference
            has max limit of 50.
          schema:
            type: number
            format: number
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: The object containing the data for a successful response.
                    properties:
                      project_name:
                        type: string
                        description: The name of the project
                      project_id:
                        type: string
                        description: The ID of the project
                      market_sector_id:
                        type: string
                        description: The market sector's ID
                      market_sector_name:
                        type: string
                        description: The market sector's name
                      chain_id:
                        type: string
                        description: The chain ID of the project
                      chain_name:
                        type: string
                        description: The name of the chain
                      token_symbol:
                        type: string
                        description: The symbol of the token
                      token_address:
                        type: string
                        description: The address of the token
                      account_address:
                        type: string
                        description: The address of the account
                      account_title:
                        type: string
                        description: The title of the account
                      position_creation_timestamp:
                        type: string
                        description: >-
                          The timestamp of when the tokenholder's position was
                          created
                      transaction_count_sum:
                        type: number
                        description: >-
                          The count of token transactions that the tokenholder
                          has made
                      ownership_percentage_ath:
                        type: number
                        description: >-
                          The all-time high ownership percentage of the
                          tokenholder
                      account_balance_native_ath:
                        type: number
                        description: The all-time high native balance of the tokenholder
                      account_balance_usd_ath:
                        type: number
                        description: The all-time high USD balance of the tokenholder
                      ownership_percentage:
                        type: number
                        description: The current ownership percentage of the tokenholder
                      account_balance_native:
                        type: number
                        description: The current native balance of the tokenholder
                      account_balance_usd:
                        type: number
                        description: The current USD balance of the tokenholder
                      ownership_percentage_30d_change:
                        type: number
                        description: The change in ownership percentage of the tokenholder
                      account_balance_native_30d_change:
                        type: number
                        description: The change in native balance of the tokenholder
                      account_balance_usd_30d_change:
                        type: number
                        description: The change in USD balance of the tokenholder
                      account_balance_rank:
                        type: number
                        description: The rank of the tokenholder based on their balance
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````